PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dstedc | ( | PLASMA_enum | jobz,
|  | int | n,
|  | double * | D,
|  | double * | E,
|  | double * | Z,
|  | int | LDZ
| ) |  |

PLASMA_dstedc - Computes all eigenpairs of a symmetric tridiagonal matrix

Parameters

  [in] | jobz | Intended usage: = PlasmaIVec: computes eigenpairs of the symmetric tridiagonal matrix = PlasmaVec: computes eigenpairs of the original matrix (not supported now)
  [in] | n | n specifies the dimension of the original matrix
  [in,out] | D | On entry, D contains the diagonal elements of the tridiagonal matrix On exit, D contains the eigenvalues
  [in] | E | On entry, E contains the extra-diagonal elements of the tridiagonal matrix
  [out] | Z | On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
  [in] | LDZ | The leading dimention of the eigenvectors matrix Z. LDZ >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dstedc
  PLASMA_dstedc_Async
  PLASMA_cstedc
  PLASMA_dstedc
  PLASMA_sstedc